BlackBerry MVS 5.2 Updated to Support BlackBerry 7.1 Devices

Comments

BlackBerry Mobile Voice System has been updated to support BlackBerry 7.1 devices. The update also supports more PBX systems and is now compatible with call recording infrastructure allowing professionals in the financial services sector to conduct business while away from their desk phone.

Here’s the list of PBX systems compatible with MVS 5.2

  • Cisco Unified Communications Manager v6.1-8.6
  • Cisco Business Edition 5000 & 6000
  • Mitel Communications Director v4.2 – 5.0
  • Avaya Communications Manager v3.1 – 6.0.1
  • Nortel Communications Server CS 1000 v5.0 – 7.5
  • Siemens OpenScape v5, v6 and HiPath 4000

Contact blackberrymvsglobalsales@rim.com for more details.

Click here to update if you’re currently an MVS 5 client.